tigase.jaxmpp.core.client.xmpp.modules.pubsub

## Class FormSubmitter

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.pubsub.FormSubmitter

-     public abstract class FormSubmitter
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JabberDataElement` | `form`
    `protected JID` | `serviceJID`
    `protected SessionObject` | `sessionObject`
    `protected PacketWriter` | `writer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FormSubmitter(SessionObject sessionObject, PacketWriter packetWriter, JID serviceJID, JabberDataElement form)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JabberDataElement` | `getForm()`
    `protected abstract Element` | `prepareIqPayload()`
    `void` | `submit(AsyncCallback callback)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### form

          protected final JabberDataElement form

    - #### serviceJID

          protected final JID serviceJID

    - #### sessionObject

          protected final SessionObject sessionObject

    - #### writer

          protected final PacketWriter writer

  - ### Constructor Detail

    - #### FormSubmitter

          public FormSubmitter(SessionObject sessionObject,
                               PacketWriter packetWriter,
                               JID serviceJID,
                               JabberDataElement form)

  - ### Method Detail

    - #### getForm

          public JabberDataElement getForm()

    - #### prepareIqPayload

          protected abstract Element prepareIqPayload()
                                               throws XMLException

      Throws:
        `XMLException`

    - #### submit

          public void submit(AsyncCallback callback)
                      throws XMLException,
                             JaxmppException

      Throws:
        `XMLException`
        `JaxmppException`

Copyright © 2006–2016 Tigase. All rights reserved.